Page MenuHomePhabricator

New search keyword for searching for statements with a quantity
Closed, ResolvedPublic

Description

Need a new keyword to search for wikibase statement with quantities where we can do integer comparison queries

Proposed keyword: wbstatementquantity

Proposed data format: {statement}{operator}{number} e.g. P180=Q5>99 (meaning 'depicts human with quantity greater than 5' (or in other words 'depicts more than 5 people'))

Related Objects

Event Timeline

Cparle triaged this task as Normal priority.May 30 2018, 10:41 AM
Cparle created this task.
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptMay 30 2018, 10:41 AM
Cparle updated the task description. (Show Details)May 30 2018, 10:42 AM

Change 436832 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/CirrusSearch@master] Added new TermFreq query

https://gerrit.wikimedia.org/r/436832

Change 436833 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/Wikibase@master] New wbstatementquantity keyword

https://gerrit.wikimedia.org/r/436833

Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.Jun 5 2018, 3:36 PM

Change 436832 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Added new TermFreq query

https://gerrit.wikimedia.org/r/436832

Ladsgroup moved this task from incoming to monitoring on the Wikidata board.Jun 28 2018, 3:47 PM
Vvjjkkii renamed this task from New search keyword for searching for statements with a quantity to 4zbaaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii removed Cparle as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: Aklapper, gerritbot.
JJMC89 renamed this task from 4zbaaaaaaa to New search keyword for searching for statements with a quantity.Jul 1 2018, 2:04 AM
JJMC89 assigned this task to Cparle.
JJMC89 lowered the priority of this task from High to Normal.
JJMC89 updated the task description. (Show Details)
JJMC89 added a subscriber: Aklapper.

Change 449476 had a related patch set uploaded (by DCausse; owner: Cparle):
[mediawiki/extensions/Wikibase@master] [DNM] Test jenkins: new wbstatementquantity keyword

https://gerrit.wikimedia.org/r/449476

Change 449476 abandoned by DCausse:
[DNM] Test jenkins: new wbstatementquantity keyword

https://gerrit.wikimedia.org/r/449476

Change 436833 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] New wbstatementquantity keyword

https://gerrit.wikimedia.org/r/436833

@EBernhardson anything left to do on this task or can we resolve it?

EBernhardson added a comment.EditedAug 3 2018, 6:12 PM

This implements the keyword, i believe any data using it needs to be reindex. For the purposes of SDC this is probably complete, but to be used on wikidata.org it needs a full reindex.

OK, I'll move this to a tracking column on our workboard then.

Smalyshev closed this task as Resolved.Sep 27 2018, 11:31 PM
Smalyshev added a subscriber: Smalyshev.

Reindex is done now.